package cn.freemud.adapter;

import cn.freemud.entities.vo.CollageOrderRequestVo;
import com.freemud.sdk.api.assortment.shoppingcart.domain.CollageOrderDto;
import org.springframework.stereotype.Component;

/**
 * All rights Reserved, Designed By www.freemud.cn
 *
 * @version V1.0.0
 * @Description:
 * @author: hui.miao
 * @date: 2020-09-28 11:41
 * @Copyright: 2020 www.freemud.cn Inc. All rights reserved.
 * 注意：本内容仅限于上海非码科技内部传阅，禁止外泄以及用于其他的商业目
 */
@Component
public class CollageOrderAdapter {
    public CollageOrderDto convert2CollageOrderDto(CollageOrderRequestVo request) {
        return CollageOrderDto.builder()
                .sessionId(request.getSessionId())
                .createCollageUserId(request.getCreateCollageUserId())
                .partnerId(request.getPartnerId())
                .storeId(request.getShopId())
                .status(request.getStatus())
                .orderCode(request.getOrderCode())
                .build();
    }
}
